> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete payment method

> Deletes a single payment method for a customer.



## OpenAPI

````yaml /openAPI/openapi-20240301.json delete /customers/{customer_id}/payment_methods/{payment_method_id}
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /customers/{customer_id}/payment_methods/{payment_method_id}:
    delete:
      tags:
        - Customers
      summary: Delete payment method
      description: Deletes a single payment method for a customer.
      operationId: Delete-payment-method
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Customer Id
        - name: payment_method_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Payment Method Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeletePaymentMethodResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DeletePaymentMethodResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Zenskar Payment Method Id
        customer_id:
          type: string
          format: uuid
          title: Customer Id
          description: Customer Id
        external_id:
          type: string
          title: External Id
          description: External Payment Method Id
        status:
          type: string
          title: Status
          description: Deletion Status
      type: object
      required:
        - id
        - customer_id
        - external_id
        - status
      title: DeletePaymentMethodResponseSchema
      description: Delete Payment Method Response Schema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````